fullnameOverride: ""
nameOverride: ""

image:
  repository: 
  tag: 
  pullPolicy: IfNotPresent
  pullSecrets: []

application:
  logLevel: debug
  logRequests: false
  pg:
    enabled: false
    dsnSecretName: pg
    dsnSecretKey: dsn
  amqp:
    enabled: false
    dsnSecretName: amqp
    dsnSecretKey: dsn
  hasura:
    enabled: false
    graphqlUrl: http://hasura:8080/v1/graphql
    webhookSecretName: hasura
    webhookSecretKey: webhook-secret
    adminSecretName: hasura
    adminSecretKey: admin
  jwt:
    enabled: false
    secretName: jwks
    jwkSecretKey: jwk.json
    jwkOldSecretKey: jwk-old.json

extraEnv: 

commonAnnotations: {}
commonLabels: {}

podAnnotations: {}

service:
  enabled: true
  type: ClusterIP
  port: 80
  nodePort:
  clusterIP: ""
  loadBalancerIP: ""
  externalTrafficPolicy: Cluster
  loadBalancerSourceRanges: []
  extraPorts: []
  annotations: {}
  sessionAffinity: None
  sessionAffinityConfig: {}

ingress:
  enabled: false
  annotations: {}
  hostname: api.local
  tlsSecretname: alerte-secours-tls

resources: {}
#    requests:
#      cpu: "2"
#      memory: 2Gi
#    limits:
#      cpu: "2"
#      memory: 2Gi

revisionHistoryLimit: 2

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 
  targetMemoryUtilizationPercentage: 

replicaCount: 1

nodeSelector: {}

tolerations: []

affinity: {}

namespace:
  enabled: true
  labels:
    alerte-secours-tls: wildcard

rollout:
  strategy:
    type: "BlueGreen"
    blueGreen:
      autoPromotionEnabled: false
      previewReplicaCount: 1
      antiAffinity:
        preferredDuringSchedulingIgnoredDuringExecution:
          weight: 1
      scaleDownDelaySeconds: 30
    canary:
      # Canary strategy configurations
    rollingUpdate:
      # RollingUpdate strategy configurations

preview:
  ingress:
    enabled: false
    hostname: 

automountServiceAccountToken: false